i.band(1)

NAME
i.band.py - Manages band reference information assigned to a single raster map or to a list of raster maps.

KEYWORDS
general, imagery, band reference, image collections

SYNOPSIS
i.band.py
i.band.py --help
i.band.py map=name[,name,...] [band=name[,name,...]] operation=string [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name[,name,...] [required]
    Name of raster map(s)

band=name[,name,...]
    Name of band reference identifier (example: S2_1)

operation=string [required]
    Operation to be performed
    Options: add, remove, print
    Default: add

DESCRIPTION
i.band allows assigning a band reference information to a single raster map or to a list of specified raster maps. Band reference can be defined by band option. Already assigned band reference can be removed from a specified raster map by operation=remove. The module also allows printing detailed band reference information already assigned to a raster map by operation=print.

Either a single raster map or a list of raster maps can be given by map option.

NOTES
Note that only raster maps from the current mapsets can be modified.

For more information about band reference concept see g.bands module.

Band references are supported by temporal GRASS modules. Name of STRDS can be extended by band identifier in order to filter the result by a band reference. See t.register, t.rast.list, t.info and t.rast.mapcalc modules for examples.

EXAMPLES

  Assign band reference to a single raster map

i.band map=T33UVR_20180506T100031_B01 band=S2_1

  Assign band reference to a list of raster maps

i.band map=T33UVR_20180506T100031_B01,T33UVR_20180521T100029_B01 band=S2_1,S2_1

  Assign different band references to a list of raster maps

i.band map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 band=S2_1,S2_2

  Remove band reference from a list of raster maps

i.band map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 operation=remove

  Print band reference information about single raster map

i.band map=T33UVR_20180506T100031_B01 operation=print

  Print extended band reference information for a list of raster map

i.band map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 operation=print

KNOWN ISSUES
i.band allows managing band references only related to 2D raster maps.

SEE ALSO
g.bands, r.info

AUTHORS
Martin Landa
Development sponsored by mundialis GmbH & Co. KG (for the openEO EU H2020 grant 776242)

SOURCE CODE

Available at: i.band source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual